Package com.ocient.jdbc.proto

# Enum ClientWireProtocol.ServerSignal

java.lang.Object
java.lang.Enum<ClientWireProtocol.ServerSignal>
com.ocient.jdbc.proto.ClientWireProtocol.ServerSignal

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `Serializable`, `Comparable<ClientWireProtocol.ServerSignal>`, `java.lang.constant.Constable`

Enclosing class:
  ClientWireProtocol

    public static enum ClientWireProtocol.ServerSignal
    extends Enum<ClientWireProtocol.ServerSignal>
    implements com.google.protobuf.ProtocolMessageEnum

     ServerSignals should only be negative values

Protobuf enum `xg.cmdcomp.ServerSignal`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`INVALID` | `INVALID = 0;`
`QUIESCE` | `QUIESCE = -1;`
`UNRECOGNIZED` |

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `INVALID_VALUE` | `INVALID = 0;`
`static int` | `QUIESCE_VALUE` | `QUIESCE = -1;`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static ClientWireProtocol.ServerSignal` | `forNumber​(int value)` |
`static com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptorForType()` |
`int` | `getNumber()` |
`com.google.protobuf.Descriptors.EnumValueDescriptor` | `getValueDescriptor()` |
`static com.google.protobuf.Internal.EnumLiteMap<ClientWireProtocol.ServerSignal>` | `internalGetValueMap()` |
`static ClientWireProtocol.ServerSignal` | `valueOf​(int value)` | Deprecated.
`static ClientWireProtocol.ServerSignal` | `valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)` | Returns the enum constant of this type with the specified name.
`static ClientWireProtocol.ServerSignal` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
`static ClientWireProtocol.ServerSignal[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INVALID

public static final ClientWireProtocol.ServerSignal INVALID
`INVALID = 0;`

### QUIESCE

public static final ClientWireProtocol.ServerSignal QUIESCE
`QUIESCE = -1;`

### UNRECOGNIZED

public static final ClientWireProtocol.ServerSignal UNRECOGNIZED

## Field Details

### INVALID_VALUE

public static final int INVALID_VALUE
`INVALID = 0;`

See Also:
  Constant Field Values

### QUIESCE_VALUE

public static final int QUIESCE_VALUE
`QUIESCE = -1;`

See Also:
  Constant Field Values

## Method Details

### values

public static ClientWireProtocol.ServerSignal[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ClientWireProtocol.ServerSignal valueOf​(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getNumber

public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

### valueOf

@Deprecated public static ClientWireProtocol.ServerSignal valueOf​(int value)
Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static ClientWireProtocol.ServerSignal forNumber​(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

### internalGetValueMap

public static com.google.protobuf.Internal.EnumLiteMap<ClientWireProtocol.ServerSignal> internalGetValueMap()

### getValueDescriptor

public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptorForType

public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptor

public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

### valueOf

public static ClientWireProtocol.ServerSignal valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null